curl
--location
-request GET 'https://staging-api.propaga.io/v1/invoice/{transactionId}/documents'
--header 'Content-Type: application/json'
--header 'Authorization: <your_awesome_token>'
{
"id": "5ce45bfe-9557-4c97-b9cf-d65b4b1380e3",
"fiscalFolio": "1b10a481-0628-4552-9872-b0c849aac394",
"folioNumber": 1234,
"files": [
{
"type": "PDF_EMISSION",
"fileUrl": "<url>"
},
{
"type": "XML_EMISSION",
"fileUrl": "<url>"
}
]
}
Transaction
Get invoice for transaction
Gets the invoice information and files for a given transaction
GET
/
invoice
/
transaction
/
{transactionId}
/
documents
curl
--location
-request GET 'https://staging-api.propaga.io/v1/invoice/{transactionId}/documents'
--header 'Content-Type: application/json'
--header 'Authorization: <your_awesome_token>'
{
"id": "5ce45bfe-9557-4c97-b9cf-d65b4b1380e3",
"fiscalFolio": "1b10a481-0628-4552-9872-b0c849aac394",
"folioNumber": 1234,
"files": [
{
"type": "PDF_EMISSION",
"fileUrl": "<url>"
},
{
"type": "XML_EMISSION",
"fileUrl": "<url>"
}
]
}
curl
--location
-request GET 'https://staging-api.propaga.io/v1/invoice/{transactionId}/documents'
--header 'Content-Type: application/json'
--header 'Authorization: <your_awesome_token>'
{
"id": "5ce45bfe-9557-4c97-b9cf-d65b4b1380e3",
"fiscalFolio": "1b10a481-0628-4552-9872-b0c849aac394",
"folioNumber": 1234,
"files": [
{
"type": "PDF_EMISSION",
"fileUrl": "<url>"
},
{
"type": "XML_EMISSION",
"fileUrl": "<url>"
}
]
}
Path parameters
string
required
Propaga’s transaction id
Response
string
Propaga’s internal invoice id
string
SAT’s invoice folio
number
Invoice folio number
Was this page helpful?
⌘I

